<?php
defined('_JEXEC') or die('Restricted access');
class plgJshoppingAdminAddon_Order_Email_Payment_Attachement extends JPlugin{
    public function onBeforeEditPayments(&$view){
        JFactory::getDocument()->addScriptDeclaration('jQuery(document).ready(function(){jQuery("#adminForm").attr("enctype", "multipart/form-data");});');
        list($attachement_upload_name, $attachement_filename) = explode('|', $view->payment->order_email_attachement);
        $view->etemplatevar .= '<tr>'.
                                   '<td class="key" valign="top">'.JText::_('JSHOPPING_ADDON_ORDER_EMAIL_PAYMENT_ATTACHEMENT_FIELD_TITLE').'</td>'.
                                   '<td>'.
                                       '<input name="order_email_attachement" type="file" value="'.$attachement_upload_name.'" />'.
                                       ($view->payment->order_email_attachement != '' ? '<br/><small><a href="'.JSAddon_Order_Email_Payment_Attachement_Helper::getUploadedFileURI($attachement_upload_name).'" target="_blank">'.$attachement_filename.'</a>'.
                                                                    '&nbsp;&nbsp;<input type="checkbox" name="delete_order_email_attachement" id="delete_order_email_attachement" value="1" />&nbsp;&nbsp;<label for="delete_order_email_attachement" style="font-size:inherit">'._JSHOP_DELETE.'</label></small>' : '').
                                   '</td>'.
                               '</tr>';
    }
    
    public function onBeforeSavePayment(&$post){
        jimport('joomla.filesystem.file');
        $payment = JSFactory::getTable('paymentmethod');
        $payment->load($post['payment_id']);
        list($attachement_upload_name, $attachement_filename) = explode('|', $payment->order_email_attachement);
        if(JRequest::getBool('delete_order_email_attachement')){            
            JFile::delete(JSAddon_Order_Email_Payment_Attachement_Helper::getUploadedFilePath($attachement_upload_name));
            $post['order_email_attachement'] = '';
        }
        $file = JRequest::getVar('order_email_attachement', null, 'FILES');
        if(!is_null($file)){
            $upload_path = JPath::clean($file['tmp_name']);
			$upload_filename = $file['name'];
            if(JFile::exists($upload_path)){
                $upload_name = JSAddon_Order_Email_Payment_Attachement_Helper::getUploadFileName($upload_path, $upload_filename);
                $path = JSAddon_Order_Email_Payment_Attachement_Helper::getUploadedFilePath($upload_name);
                JFile::upload($upload_path, $path);
                if(JFile::exists($path)){
                    $post['order_email_attachement'] = $upload_name.'|'.$upload_filename;
                }
            }
        }
    }
}